torsdag, november 01, 2007

JRuby 1.0.2 released

The JRuby community is pleased to announce the release of JRuby 1.0.2.


JRuby 1.0.2 is a minor release of our stable 1.0 branch. The fixes in this
release include primarily obvious compatibility issues that we felt were
low risk. We periodically push out point releases to continue supporting
production users of JRuby 1.0.x.

- Fixed several nasty issues for users on Windows
- Fixed a number of network compatibility issues
- Includes support for Rails 1.2.5
- Reduced memory footprint
- Improved File IO performance
- trap() fix
- 99 total issues resolved since JRuby 1.0.1

Special thanks to the new JRuby contributors who rose to Charlie's challenge
to write patches for some outstanding bugs: Riley Lynch, Mathias Biilmann
Christensen, Peter Brant, and Niels Bech Nielsen. Welcome aboard...

1 kommentar:

Anonym sa...

Trying to install mongrel under jruby seems to not provide any valid options. This is the output I got. Any suggestions on installing mongrel and mongrel_jcluster?


>%JRUBY_HOME%\bin\jruby -S gem install mongrel
Select which gem to install for your platform (java)
1. mongrel 1.0.4 (mswin32)
2. mongrel 1.0.4 (ruby)
3. mongrel 1.0.3 (ruby)
4. mongrel 1.0.2 (ruby)
5. mongrel 1.0.2 (mswin32)
6. mongrel 1.0.1 (mswin32)
7. mongrel 1.0.1 (ruby)
8. Skip this gem
9. Cancel installation
> 9
ERROR: While executing gem ... (Gem::RemoteInstallationCancelled)
Installation of mongrel cancelled.